<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>

<body>

</body>

</html>
<script>
    //1
    const originalArray = [" avengers", "   captain_america", "ironman   ", " black panther   "];

    const trimmedArray = originalArray.map((item) => item.trim());

    console.log(trimmedArray);
    //2
    const convertMilesToKilometers = (miles) => miles * 1.609;
    console.log(convertMilesToKilometers(1));
    //3
    const array = [1, 2, 3, 4, 5];
    const sumOfSquares = array.reduce((accumulator, currentValue) => accumulator + currentValue ** 2, 0);
    console.log(sumOfSquares);
    //4 
    const arr = [4, -4, 10];
    const tangPhanTuThem4 = arr.map((item) => item + 4);
    console.log(tangPhanTuThem4);
    //5
    const array5 = [1, 2, 3, 4, 5, 6, 7, 8, 9, 10];

    const sumOfEvenNumbers = array5
        .filter((number) => number % 2 === 0) // Lọc các số chẵn
        .reduce((accumulator, currentValue) => accumulator + currentValue, 0); // Tính tổng

    console.log(sumOfEvenNumbers);
    //6
    const array6 = ["avengers", "captain america"];
    const upperCaseToArray = array6.map((item) => item.toUpperCase());
    console.log(upperCaseToArray);
    //7
    const array7 = [
        { name: 'Spider-Man' },
        { name: 'Thor' },
        { name: 'Black Panther' },
        { name: 'Captain Marvel' },
        { name: 'Silver Surfer' }
    ];

    const newArray = array7.map((item, index) => ({ id: index, hero: item.name }));

    console.log(newArray);
    //8
    const array8 = ["spray", "limit", "elite", "exuberant", "destruction", "present"];

    const filteredArray = array8.filter((word) => word.length > 6);

    console.log(filteredArray);
    //10
    const array10 = [11, 22, 33, 46, 75, 86, 97, 98];

    const squaredArray = array10
        .filter((number) => number % 2 === 0) // Lọc các số chẵn
        .map((number) => number ** 2); // Bình phương

    console.log(squaredArray);





</script>